| Boost.Locale

Public Member Functions | List of all members
boost::locale::period::period_type Class Reference

This class holds a type that represents certain period of time like year, hour, second and so on. More...

`#include <boost/locale/date_time_facet.hpp>`

## Public Member Functions
| period_type (marks::period_mark m=marks::invalid)
| Create a period of specific type, default is invalid.
marks::period_mark | mark () const
| Get the value of marks::period_mark it was created with.
bool | operator== (const period_type &other) const
| Check if two periods are the same.
bool | operator!= (const period_type &other) const
| Check if two periods are different.

## Detailed Description

This class holds a type that represents certain period of time like year, hour, second and so on.

It can be created from either marks::period_mark type or by using shortcuts in period namespace - calling functions like period::year(), period::hour() and so on.

Basically it represents the same object as enum marks::period_mark but allows to provide save operator overloading that would not collide with casing of enum to numeric values.

The documentation for this class was generated from the following file:

- boost/locale/date_time_facet.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.